# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: diff.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from . import lint_pb2 as lint__pb2
from . import shared_pb2 as shared__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='diff.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\ndiff.proto\x12\x06gitaly\x1a\nlint.proto\x1a\x0cshared.proto\"\xcb\x03\n\x11\x43ommitDiffRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x16\n\x0eleft_commit_id\x18\x02 \x01(\t\x12\x17\n\x0fright_commit_id\x18\x03 \x01(\t\x12 \n\x18ignore_whitespace_change\x18\x04 \x01(\x08\x12\r\n\x05paths\x18\x05 \x03(\x0c\x12\x16\n\x0e\x63ollapse_diffs\x18\x06 \x01(\x08\x12\x16\n\x0e\x65nforce_limits\x18\x07 \x01(\x08\x12\x11\n\tmax_files\x18\x08 \x01(\x05\x12\x11\n\tmax_lines\x18\t \x01(\x05\x12\x11\n\tmax_bytes\x18\n \x01(\x05\x12\x17\n\x0fmax_patch_bytes\x18\x0e \x01(\x05\x12\x16\n\x0esafe_max_files\x18\x0b \x01(\x05\x12\x16\n\x0esafe_max_lines\x18\x0c \x01(\x05\x12\x16\n\x0esafe_max_bytes\x18\r \x01(\x05\x12\x35\n\tdiff_mode\x18\x0f \x01(\x0e\x32\".gitaly.CommitDiffRequest.DiffMode\"%\n\x08\x44iffMode\x12\x0b\n\x07\x44\x45\x46\x41ULT\x10\x00\x12\x0c\n\x08WORDDIFF\x10\x01\"\xff\x01\n\x12\x43ommitDiffResponse\x12\x11\n\tfrom_path\x18\x01 \x01(\x0c\x12\x0f\n\x07to_path\x18\x02 \x01(\x0c\x12\x0f\n\x07\x66rom_id\x18\x03 \x01(\t\x12\r\n\x05to_id\x18\x04 \x01(\t\x12\x10\n\x08old_mode\x18\x05 \x01(\x05\x12\x10\n\x08new_mode\x18\x06 \x01(\x05\x12\x0e\n\x06\x62inary\x18\x07 \x01(\x08\x12\x16\n\x0eraw_patch_data\x18\t \x01(\x0c\x12\x14\n\x0c\x65nd_of_patch\x18\n \x01(\x08\x12\x17\n\x0foverflow_marker\x18\x0b \x01(\x08\x12\x11\n\tcollapsed\x18\x0c \x01(\x08\x12\x11\n\ttoo_large\x18\r \x01(\x08J\x04\x08\x08\x10\t\"\x82\x01\n\x12\x43ommitDeltaRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x16\n\x0eleft_commit_id\x18\x02 \x01(\t\x12\x17\n\x0fright_commit_id\x18\x03 \x01(\t\x12\r\n\x05paths\x18\x04 \x03(\x0c\"u\n\x0b\x43ommitDelta\x12\x11\n\tfrom_path\x18\x01 \x01(\x0c\x12\x0f\n\x07to_path\x18\x02 \x01(\x0c\x12\x0f\n\x07\x66rom_id\x18\x03 \x01(\t\x12\r\n\x05to_id\x18\x04 \x01(\t\x12\x10\n\x08old_mode\x18\x05 \x01(\x05\x12\x10\n\x08new_mode\x18\x06 \x01(\x05\":\n\x13\x43ommitDeltaResponse\x12#\n\x06\x64\x65ltas\x18\x01 \x03(\x0b\x32\x13.gitaly.CommitDelta\"o\n\x0eRawDiffRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x16\n\x0eleft_commit_id\x18\x02 \x01(\t\x12\x17\n\x0fright_commit_id\x18\x03 \x01(\t\"\x1f\n\x0fRawDiffResponse\x12\x0c\n\x04\x64\x61ta\x18\x01 \x01(\x0c\"p\n\x0fRawPatchRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x16\n\x0eleft_commit_id\x18\x02 \x01(\t\x12\x17\n\x0fright_commit_id\x18\x03 \x01(\t\" \n\x10RawPatchResponse\x12\x0c\n\x04\x64\x61ta\x18\x01 \x01(\x0c\"q\n\x10\x44iffStatsRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x16\n\x0eleft_commit_id\x18\x02 \x01(\t\x12\x17\n\x0fright_commit_id\x18\x03 \x01(\t\"Q\n\tDiffStats\x12\x0c\n\x04path\x18\x01 \x01(\x0c\x12\x11\n\tadditions\x18\x02 \x01(\x05\x12\x11\n\tdeletions\x18\x03 \x01(\x05\x12\x10\n\x08old_path\x18\x04 \x01(\x0c\"5\n\x11\x44iffStatsResponse\x12 \n\x05stats\x18\x01 \x03(\x0b\x32\x11.gitaly.DiffStats\"\xdc\x03\n\x17\x46indChangedPathsRequest\x12,\n\nrepository\x18\x01 \x01(\x0b\x32\x12.gitaly.RepositoryB\x04\x98\xc6,\x01\x12\x13\n\x07\x63ommits\x18\x02 \x03(\tB\x02\x18\x01\x12\x39\n\x08requests\x18\x03 \x03(\x0b\x32\'.gitaly.FindChangedPathsRequest.Request\x1a\xc2\x02\n\x07Request\x12K\n\x0ctree_request\x18\x01 \x01(\x0b\x32\x33.gitaly.FindChangedPathsRequest.Request.TreeRequestH\x00\x12O\n\x0e\x63ommit_request\x18\x02 \x01(\x0b\x32\x35.gitaly.FindChangedPathsRequest.Request.CommitRequestH\x00\x1a\x46\n\x0bTreeRequest\x12\x1a\n\x12left_tree_revision\x18\x01 \x01(\t\x12\x1b\n\x13right_tree_revision\x18\x02 \x01(\t\x1aI\n\rCommitRequest\x12\x17\n\x0f\x63ommit_revision\x18\x01 \x01(\t\x12\x1f\n\x17parent_commit_revisions\x18\x02 \x03(\tB\x06\n\x04type\"?\n\x18\x46indChangedPathsResponse\x12#\n\x05paths\x18\x01 \x03(\x0b\x32\x14.gitaly.ChangedPaths\"\xba\x01\n\x0c\x43hangedPaths\x12\x0c\n\x04path\x18\x01 \x01(\x0c\x12+\n\x06status\x18\x02 \x01(\x0e\x32\x1b.gitaly.ChangedPaths.Status\x12\x10\n\x08old_mode\x18\x03 \x01(\x05\x12\x10\n\x08new_mode\x18\x04 \x01(\x05\"K\n\x06Status\x12\t\n\x05\x41\x44\x44\x45\x44\x10\x00\x12\x0c\n\x08MODIFIED\x10\x01\x12\x0b\n\x07\x44\x45LETED\x10\x02\x12\x0f\n\x0bTYPE_CHANGE\x10\x03\x12\n\n\x06\x43OPIED\x10\x04\x32\xea\x03\n\x0b\x44iffService\x12M\n\nCommitDiff\x12\x19.gitaly.CommitDiffRequest\x1a\x1a.gitaly.CommitDiffResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12P\n\x0b\x43ommitDelta\x12\x1a.gitaly.CommitDeltaRequest\x1a\x1b.gitaly.CommitDeltaResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12\x44\n\x07RawDiff\x12\x16.gitaly.RawDiffRequest\x1a\x17.gitaly.RawDiffResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12G\n\x08RawPatch\x12\x17.gitaly.RawPatchRequest\x1a\x18.gitaly.RawPatchResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12J\n\tDiffStats\x12\x18.gitaly.DiffStatsRequest\x1a\x19.gitaly.DiffStatsResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x12_\n\x10\x46indChangedPaths\x12\x1f.gitaly.FindChangedPathsRequest\x1a .gitaly.FindChangedPathsResponse\"\x06\xfa\x97(\x02\x08\x02\x30\x01\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[lint__pb2.DESCRIPTOR,shared__pb2.DESCRIPTOR,])



_COMMITDIFFREQUEST_DIFFMODE = _descriptor.EnumDescriptor(
  name='DiffMode',
  full_name='gitaly.CommitDiffRequest.DiffMode',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='DEFAULT', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='WORDDIFF', index=1, number=1,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=471,
  serialized_end=508,
)
_sym_db.RegisterEnumDescriptor(_COMMITDIFFREQUEST_DIFFMODE)

_CHANGEDPATHS_STATUS = _descriptor.EnumDescriptor(
  name='Status',
  full_name='gitaly.ChangedPaths.Status',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='ADDED', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MODIFIED', index=1, number=1,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='DELETED', index=2, number=2,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='TYPE_CHANGE', index=3, number=3,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='COPIED', index=4, number=4,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=2283,
  serialized_end=2358,
)
_sym_db.RegisterEnumDescriptor(_CHANGEDPATHS_STATUS)


_COMMITDIFFREQUEST = _descriptor.Descriptor(
  name='CommitDiffRequest',
  full_name='gitaly.CommitDiffRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.CommitDiffRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='left_commit_id', full_name='gitaly.CommitDiffRequest.left_commit_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_commit_id', full_name='gitaly.CommitDiffRequest.right_commit_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='ignore_whitespace_change', full_name='gitaly.CommitDiffRequest.ignore_whitespace_change', index=3,
      number=4, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='paths', full_name='gitaly.CommitDiffRequest.paths', index=4,
      number=5, type=12, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='collapse_diffs', full_name='gitaly.CommitDiffRequest.collapse_diffs', index=5,
      number=6, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='enforce_limits', full_name='gitaly.CommitDiffRequest.enforce_limits', index=6,
      number=7, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_files', full_name='gitaly.CommitDiffRequest.max_files', index=7,
      number=8, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_lines', full_name='gitaly.CommitDiffRequest.max_lines', index=8,
      number=9, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_bytes', full_name='gitaly.CommitDiffRequest.max_bytes', index=9,
      number=10, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='max_patch_bytes', full_name='gitaly.CommitDiffRequest.max_patch_bytes', index=10,
      number=14, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='safe_max_files', full_name='gitaly.CommitDiffRequest.safe_max_files', index=11,
      number=11, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='safe_max_lines', full_name='gitaly.CommitDiffRequest.safe_max_lines', index=12,
      number=12, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='safe_max_bytes', full_name='gitaly.CommitDiffRequest.safe_max_bytes', index=13,
      number=13, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='diff_mode', full_name='gitaly.CommitDiffRequest.diff_mode', index=14,
      number=15, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _COMMITDIFFREQUEST_DIFFMODE,
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=49,
  serialized_end=508,
)


_COMMITDIFFRESPONSE = _descriptor.Descriptor(
  name='CommitDiffResponse',
  full_name='gitaly.CommitDiffResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='from_path', full_name='gitaly.CommitDiffResponse.from_path', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='to_path', full_name='gitaly.CommitDiffResponse.to_path', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='from_id', full_name='gitaly.CommitDiffResponse.from_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='to_id', full_name='gitaly.CommitDiffResponse.to_id', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='old_mode', full_name='gitaly.CommitDiffResponse.old_mode', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='new_mode', full_name='gitaly.CommitDiffResponse.new_mode', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='binary', full_name='gitaly.CommitDiffResponse.binary', index=6,
      number=7, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='raw_patch_data', full_name='gitaly.CommitDiffResponse.raw_patch_data', index=7,
      number=9, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='end_of_patch', full_name='gitaly.CommitDiffResponse.end_of_patch', index=8,
      number=10, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='overflow_marker', full_name='gitaly.CommitDiffResponse.overflow_marker', index=9,
      number=11, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='collapsed', full_name='gitaly.CommitDiffResponse.collapsed', index=10,
      number=12, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='too_large', full_name='gitaly.CommitDiffResponse.too_large', index=11,
      number=13, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=511,
  serialized_end=766,
)


_COMMITDELTAREQUEST = _descriptor.Descriptor(
  name='CommitDeltaRequest',
  full_name='gitaly.CommitDeltaRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.CommitDeltaRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='left_commit_id', full_name='gitaly.CommitDeltaRequest.left_commit_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_commit_id', full_name='gitaly.CommitDeltaRequest.right_commit_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='paths', full_name='gitaly.CommitDeltaRequest.paths', index=3,
      number=4, type=12, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=769,
  serialized_end=899,
)


_COMMITDELTA = _descriptor.Descriptor(
  name='CommitDelta',
  full_name='gitaly.CommitDelta',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='from_path', full_name='gitaly.CommitDelta.from_path', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='to_path', full_name='gitaly.CommitDelta.to_path', index=1,
      number=2, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='from_id', full_name='gitaly.CommitDelta.from_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='to_id', full_name='gitaly.CommitDelta.to_id', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='old_mode', full_name='gitaly.CommitDelta.old_mode', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='new_mode', full_name='gitaly.CommitDelta.new_mode', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=901,
  serialized_end=1018,
)


_COMMITDELTARESPONSE = _descriptor.Descriptor(
  name='CommitDeltaResponse',
  full_name='gitaly.CommitDeltaResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='deltas', full_name='gitaly.CommitDeltaResponse.deltas', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1020,
  serialized_end=1078,
)


_RAWDIFFREQUEST = _descriptor.Descriptor(
  name='RawDiffRequest',
  full_name='gitaly.RawDiffRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.RawDiffRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='left_commit_id', full_name='gitaly.RawDiffRequest.left_commit_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_commit_id', full_name='gitaly.RawDiffRequest.right_commit_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1080,
  serialized_end=1191,
)


_RAWDIFFRESPONSE = _descriptor.Descriptor(
  name='RawDiffResponse',
  full_name='gitaly.RawDiffResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.RawDiffResponse.data', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1193,
  serialized_end=1224,
)


_RAWPATCHREQUEST = _descriptor.Descriptor(
  name='RawPatchRequest',
  full_name='gitaly.RawPatchRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.RawPatchRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='left_commit_id', full_name='gitaly.RawPatchRequest.left_commit_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_commit_id', full_name='gitaly.RawPatchRequest.right_commit_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1226,
  serialized_end=1338,
)


_RAWPATCHRESPONSE = _descriptor.Descriptor(
  name='RawPatchResponse',
  full_name='gitaly.RawPatchResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='data', full_name='gitaly.RawPatchResponse.data', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1340,
  serialized_end=1372,
)


_DIFFSTATSREQUEST = _descriptor.Descriptor(
  name='DiffStatsRequest',
  full_name='gitaly.DiffStatsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.DiffStatsRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='left_commit_id', full_name='gitaly.DiffStatsRequest.left_commit_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_commit_id', full_name='gitaly.DiffStatsRequest.right_commit_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1374,
  serialized_end=1487,
)


_DIFFSTATS = _descriptor.Descriptor(
  name='DiffStats',
  full_name='gitaly.DiffStats',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.DiffStats.path', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='additions', full_name='gitaly.DiffStats.additions', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='deletions', full_name='gitaly.DiffStats.deletions', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='old_path', full_name='gitaly.DiffStats.old_path', index=3,
      number=4, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1489,
  serialized_end=1570,
)


_DIFFSTATSRESPONSE = _descriptor.Descriptor(
  name='DiffStatsResponse',
  full_name='gitaly.DiffStatsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='stats', full_name='gitaly.DiffStatsResponse.stats', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1572,
  serialized_end=1625,
)


_FINDCHANGEDPATHSREQUEST_REQUEST_TREEREQUEST = _descriptor.Descriptor(
  name='TreeRequest',
  full_name='gitaly.FindChangedPathsRequest.Request.TreeRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='left_tree_revision', full_name='gitaly.FindChangedPathsRequest.Request.TreeRequest.left_tree_revision', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='right_tree_revision', full_name='gitaly.FindChangedPathsRequest.Request.TreeRequest.right_tree_revision', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1951,
  serialized_end=2021,
)

_FINDCHANGEDPATHSREQUEST_REQUEST_COMMITREQUEST = _descriptor.Descriptor(
  name='CommitRequest',
  full_name='gitaly.FindChangedPathsRequest.Request.CommitRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='commit_revision', full_name='gitaly.FindChangedPathsRequest.Request.CommitRequest.commit_revision', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='parent_commit_revisions', full_name='gitaly.FindChangedPathsRequest.Request.CommitRequest.parent_commit_revisions', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2023,
  serialized_end=2096,
)

_FINDCHANGEDPATHSREQUEST_REQUEST = _descriptor.Descriptor(
  name='Request',
  full_name='gitaly.FindChangedPathsRequest.Request',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='tree_request', full_name='gitaly.FindChangedPathsRequest.Request.tree_request', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='commit_request', full_name='gitaly.FindChangedPathsRequest.Request.commit_request', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_FINDCHANGEDPATHSREQUEST_REQUEST_TREEREQUEST, _FINDCHANGEDPATHSREQUEST_REQUEST_COMMITREQUEST, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='type', full_name='gitaly.FindChangedPathsRequest.Request.type',
      index=0, containing_type=None, fields=[]),
  ],
  serialized_start=1782,
  serialized_end=2104,
)

_FINDCHANGEDPATHSREQUEST = _descriptor.Descriptor(
  name='FindChangedPathsRequest',
  full_name='gitaly.FindChangedPathsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='repository', full_name='gitaly.FindChangedPathsRequest.repository', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='commits', full_name='gitaly.FindChangedPathsRequest.commits', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\030\001')), file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='requests', full_name='gitaly.FindChangedPathsRequest.requests', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_FINDCHANGEDPATHSREQUEST_REQUEST, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1628,
  serialized_end=2104,
)


_FINDCHANGEDPATHSRESPONSE = _descriptor.Descriptor(
  name='FindChangedPathsResponse',
  full_name='gitaly.FindChangedPathsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='paths', full_name='gitaly.FindChangedPathsResponse.paths', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2106,
  serialized_end=2169,
)


_CHANGEDPATHS = _descriptor.Descriptor(
  name='ChangedPaths',
  full_name='gitaly.ChangedPaths',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='path', full_name='gitaly.ChangedPaths.path', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='status', full_name='gitaly.ChangedPaths.status', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='old_mode', full_name='gitaly.ChangedPaths.old_mode', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='new_mode', full_name='gitaly.ChangedPaths.new_mode', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _CHANGEDPATHS_STATUS,
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2172,
  serialized_end=2358,
)

_COMMITDIFFREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_COMMITDIFFREQUEST.fields_by_name['diff_mode'].enum_type = _COMMITDIFFREQUEST_DIFFMODE
_COMMITDIFFREQUEST_DIFFMODE.containing_type = _COMMITDIFFREQUEST
_COMMITDELTAREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_COMMITDELTARESPONSE.fields_by_name['deltas'].message_type = _COMMITDELTA
_RAWDIFFREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_RAWPATCHREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_DIFFSTATSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_DIFFSTATSRESPONSE.fields_by_name['stats'].message_type = _DIFFSTATS
_FINDCHANGEDPATHSREQUEST_REQUEST_TREEREQUEST.containing_type = _FINDCHANGEDPATHSREQUEST_REQUEST
_FINDCHANGEDPATHSREQUEST_REQUEST_COMMITREQUEST.containing_type = _FINDCHANGEDPATHSREQUEST_REQUEST
_FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['tree_request'].message_type = _FINDCHANGEDPATHSREQUEST_REQUEST_TREEREQUEST
_FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['commit_request'].message_type = _FINDCHANGEDPATHSREQUEST_REQUEST_COMMITREQUEST
_FINDCHANGEDPATHSREQUEST_REQUEST.containing_type = _FINDCHANGEDPATHSREQUEST
_FINDCHANGEDPATHSREQUEST_REQUEST.oneofs_by_name['type'].fields.append(
  _FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['tree_request'])
_FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['tree_request'].containing_oneof = _FINDCHANGEDPATHSREQUEST_REQUEST.oneofs_by_name['type']
_FINDCHANGEDPATHSREQUEST_REQUEST.oneofs_by_name['type'].fields.append(
  _FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['commit_request'])
_FINDCHANGEDPATHSREQUEST_REQUEST.fields_by_name['commit_request'].containing_oneof = _FINDCHANGEDPATHSREQUEST_REQUEST.oneofs_by_name['type']
_FINDCHANGEDPATHSREQUEST.fields_by_name['repository'].message_type = shared__pb2._REPOSITORY
_FINDCHANGEDPATHSREQUEST.fields_by_name['requests'].message_type = _FINDCHANGEDPATHSREQUEST_REQUEST
_FINDCHANGEDPATHSRESPONSE.fields_by_name['paths'].message_type = _CHANGEDPATHS
_CHANGEDPATHS.fields_by_name['status'].enum_type = _CHANGEDPATHS_STATUS
_CHANGEDPATHS_STATUS.containing_type = _CHANGEDPATHS
DESCRIPTOR.message_types_by_name['CommitDiffRequest'] = _COMMITDIFFREQUEST
DESCRIPTOR.message_types_by_name['CommitDiffResponse'] = _COMMITDIFFRESPONSE
DESCRIPTOR.message_types_by_name['CommitDeltaRequest'] = _COMMITDELTAREQUEST
DESCRIPTOR.message_types_by_name['CommitDelta'] = _COMMITDELTA
DESCRIPTOR.message_types_by_name['CommitDeltaResponse'] = _COMMITDELTARESPONSE
DESCRIPTOR.message_types_by_name['RawDiffRequest'] = _RAWDIFFREQUEST
DESCRIPTOR.message_types_by_name['RawDiffResponse'] = _RAWDIFFRESPONSE
DESCRIPTOR.message_types_by_name['RawPatchRequest'] = _RAWPATCHREQUEST
DESCRIPTOR.message_types_by_name['RawPatchResponse'] = _RAWPATCHRESPONSE
DESCRIPTOR.message_types_by_name['DiffStatsRequest'] = _DIFFSTATSREQUEST
DESCRIPTOR.message_types_by_name['DiffStats'] = _DIFFSTATS
DESCRIPTOR.message_types_by_name['DiffStatsResponse'] = _DIFFSTATSRESPONSE
DESCRIPTOR.message_types_by_name['FindChangedPathsRequest'] = _FINDCHANGEDPATHSREQUEST
DESCRIPTOR.message_types_by_name['FindChangedPathsResponse'] = _FINDCHANGEDPATHSRESPONSE
DESCRIPTOR.message_types_by_name['ChangedPaths'] = _CHANGEDPATHS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CommitDiffRequest = _reflection.GeneratedProtocolMessageType('CommitDiffRequest', (_message.Message,), dict(
  DESCRIPTOR = _COMMITDIFFREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CommitDiffRequest)
  ))
_sym_db.RegisterMessage(CommitDiffRequest)

CommitDiffResponse = _reflection.GeneratedProtocolMessageType('CommitDiffResponse', (_message.Message,), dict(
  DESCRIPTOR = _COMMITDIFFRESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CommitDiffResponse)
  ))
_sym_db.RegisterMessage(CommitDiffResponse)

CommitDeltaRequest = _reflection.GeneratedProtocolMessageType('CommitDeltaRequest', (_message.Message,), dict(
  DESCRIPTOR = _COMMITDELTAREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CommitDeltaRequest)
  ))
_sym_db.RegisterMessage(CommitDeltaRequest)

CommitDelta = _reflection.GeneratedProtocolMessageType('CommitDelta', (_message.Message,), dict(
  DESCRIPTOR = _COMMITDELTA,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CommitDelta)
  ))
_sym_db.RegisterMessage(CommitDelta)

CommitDeltaResponse = _reflection.GeneratedProtocolMessageType('CommitDeltaResponse', (_message.Message,), dict(
  DESCRIPTOR = _COMMITDELTARESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.CommitDeltaResponse)
  ))
_sym_db.RegisterMessage(CommitDeltaResponse)

RawDiffRequest = _reflection.GeneratedProtocolMessageType('RawDiffRequest', (_message.Message,), dict(
  DESCRIPTOR = _RAWDIFFREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RawDiffRequest)
  ))
_sym_db.RegisterMessage(RawDiffRequest)

RawDiffResponse = _reflection.GeneratedProtocolMessageType('RawDiffResponse', (_message.Message,), dict(
  DESCRIPTOR = _RAWDIFFRESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RawDiffResponse)
  ))
_sym_db.RegisterMessage(RawDiffResponse)

RawPatchRequest = _reflection.GeneratedProtocolMessageType('RawPatchRequest', (_message.Message,), dict(
  DESCRIPTOR = _RAWPATCHREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RawPatchRequest)
  ))
_sym_db.RegisterMessage(RawPatchRequest)

RawPatchResponse = _reflection.GeneratedProtocolMessageType('RawPatchResponse', (_message.Message,), dict(
  DESCRIPTOR = _RAWPATCHRESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.RawPatchResponse)
  ))
_sym_db.RegisterMessage(RawPatchResponse)

DiffStatsRequest = _reflection.GeneratedProtocolMessageType('DiffStatsRequest', (_message.Message,), dict(
  DESCRIPTOR = _DIFFSTATSREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DiffStatsRequest)
  ))
_sym_db.RegisterMessage(DiffStatsRequest)

DiffStats = _reflection.GeneratedProtocolMessageType('DiffStats', (_message.Message,), dict(
  DESCRIPTOR = _DIFFSTATS,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DiffStats)
  ))
_sym_db.RegisterMessage(DiffStats)

DiffStatsResponse = _reflection.GeneratedProtocolMessageType('DiffStatsResponse', (_message.Message,), dict(
  DESCRIPTOR = _DIFFSTATSRESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.DiffStatsResponse)
  ))
_sym_db.RegisterMessage(DiffStatsResponse)

FindChangedPathsRequest = _reflection.GeneratedProtocolMessageType('FindChangedPathsRequest', (_message.Message,), dict(

  Request = _reflection.GeneratedProtocolMessageType('Request', (_message.Message,), dict(

    TreeRequest = _reflection.GeneratedProtocolMessageType('TreeRequest', (_message.Message,), dict(
      DESCRIPTOR = _FINDCHANGEDPATHSREQUEST_REQUEST_TREEREQUEST,
      __module__ = 'diff_pb2'
      # @@protoc_insertion_point(class_scope:gitaly.FindChangedPathsRequest.Request.TreeRequest)
      ))
    ,

    CommitRequest = _reflection.GeneratedProtocolMessageType('CommitRequest', (_message.Message,), dict(
      DESCRIPTOR = _FINDCHANGEDPATHSREQUEST_REQUEST_COMMITREQUEST,
      __module__ = 'diff_pb2'
      # @@protoc_insertion_point(class_scope:gitaly.FindChangedPathsRequest.Request.CommitRequest)
      ))
    ,
    DESCRIPTOR = _FINDCHANGEDPATHSREQUEST_REQUEST,
    __module__ = 'diff_pb2'
    # @@protoc_insertion_point(class_scope:gitaly.FindChangedPathsRequest.Request)
    ))
  ,
  DESCRIPTOR = _FINDCHANGEDPATHSREQUEST,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.FindChangedPathsRequest)
  ))
_sym_db.RegisterMessage(FindChangedPathsRequest)
_sym_db.RegisterMessage(FindChangedPathsRequest.Request)
_sym_db.RegisterMessage(FindChangedPathsRequest.Request.TreeRequest)
_sym_db.RegisterMessage(FindChangedPathsRequest.Request.CommitRequest)

FindChangedPathsResponse = _reflection.GeneratedProtocolMessageType('FindChangedPathsResponse', (_message.Message,), dict(
  DESCRIPTOR = _FINDCHANGEDPATHSRESPONSE,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.FindChangedPathsResponse)
  ))
_sym_db.RegisterMessage(FindChangedPathsResponse)

ChangedPaths = _reflection.GeneratedProtocolMessageType('ChangedPaths', (_message.Message,), dict(
  DESCRIPTOR = _CHANGEDPATHS,
  __module__ = 'diff_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.ChangedPaths)
  ))
_sym_db.RegisterMessage(ChangedPaths)


DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))
_COMMITDIFFREQUEST.fields_by_name['repository'].has_options = True
_COMMITDIFFREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_COMMITDELTAREQUEST.fields_by_name['repository'].has_options = True
_COMMITDELTAREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_RAWDIFFREQUEST.fields_by_name['repository'].has_options = True
_RAWDIFFREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_RAWPATCHREQUEST.fields_by_name['repository'].has_options = True
_RAWPATCHREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_DIFFSTATSREQUEST.fields_by_name['repository'].has_options = True
_DIFFSTATSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_FINDCHANGEDPATHSREQUEST.fields_by_name['repository'].has_options = True
_FINDCHANGEDPATHSREQUEST.fields_by_name['repository']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\230\306,\001'))
_FINDCHANGEDPATHSREQUEST.fields_by_name['commits'].has_options = True
_FINDCHANGEDPATHSREQUEST.fields_by_name['commits']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\030\001'))

_DIFFSERVICE = _descriptor.ServiceDescriptor(
  name='DiffService',
  full_name='gitaly.DiffService',
  file=DESCRIPTOR,
  index=0,
  options=None,
  serialized_start=2361,
  serialized_end=2851,
  methods=[
  _descriptor.MethodDescriptor(
    name='CommitDiff',
    full_name='gitaly.DiffService.CommitDiff',
    index=0,
    containing_service=None,
    input_type=_COMMITDIFFREQUEST,
    output_type=_COMMITDIFFRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='CommitDelta',
    full_name='gitaly.DiffService.CommitDelta',
    index=1,
    containing_service=None,
    input_type=_COMMITDELTAREQUEST,
    output_type=_COMMITDELTARESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='RawDiff',
    full_name='gitaly.DiffService.RawDiff',
    index=2,
    containing_service=None,
    input_type=_RAWDIFFREQUEST,
    output_type=_RAWDIFFRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='RawPatch',
    full_name='gitaly.DiffService.RawPatch',
    index=3,
    containing_service=None,
    input_type=_RAWPATCHREQUEST,
    output_type=_RAWPATCHRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='DiffStats',
    full_name='gitaly.DiffService.DiffStats',
    index=4,
    containing_service=None,
    input_type=_DIFFSTATSREQUEST,
    output_type=_DIFFSTATSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
  _descriptor.MethodDescriptor(
    name='FindChangedPaths',
    full_name='gitaly.DiffService.FindChangedPaths',
    index=5,
    containing_service=None,
    input_type=_FINDCHANGEDPATHSREQUEST,
    output_type=_FINDCHANGEDPATHSRESPONSE,
    options=_descriptor._ParseOptions(descriptor_pb2.MethodOptions(), _b('\372\227(\002\010\002')),
  ),
])
_sym_db.RegisterServiceDescriptor(_DIFFSERVICE)

DESCRIPTOR.services_by_name['DiffService'] = _DIFFSERVICE

# @@protoc_insertion_point(module_scope)
